Subject: Re: bug#14877: 24.2; Problem with right scrollbar in emacs

From: Petr Hracek <[email-masked]>
Date: Thu, 18 Jul 2013 11:32:03 +0200

Hi Dan,

On 07/17/2013 06:53 PM, Jan Djärv wrote:
> Hello.
>
> 17 jul 2013 kl. 12:01 skrev Petr Hracek <[email-masked]>:
>
>> Just for sure.
>> Scrolling by mouse wheel works fine.
>>
>> Only when I move scrollbar by pressing button on mouse does not work.
> I can easily see this in the Emacs distributed by Fedora, but as I said not in the trunk.
> Corrections go in to the trunk, and as the error is not in the trunk, there is nothing else for us to do.
>
> 	Jan D.
Cool when the correction is done in trunk.
If I would like to correct that error also in Fedora do you know what 
commit corrected that error?

I know that it is hard to find out the commit which corrected that
but may be some guys from emacs maintainers knows that.

As I have tried to find out that commit but without success.

Any help?

By the way thanks for time.

>> On 07/17/2013 09:24 AM, Petr Hracek wrote:
>>> Hello,
>>>
>>> here is backtrace:
>>>
>>> #0  0x00000034b78ec8c3 in select () from /lib64/libc.so.6
>>> #1  0x00000000004ebfc7 in xg_select ()
>>> #2  0x00000000005b3f3b in wait_reading_process_output ()
>>> #3  0x0000000000509af0 in read_char ()
>>> #4  0x000000000050ba03 in read_key_sequence.constprop.18 ()
>>> #5  0x000000000050dbab in command_loop_1 ()
>>> #6  0x00000000005717b1 in internal_condition_case ()
>>> #7  0x00000000004fdf5e in command_loop_2 ()
>>> #8  0x00000000005716ab in internal_catch ()
>>> #9  0x0000000000502d97 in recursive_edit_1 ()
>>> #10 0x000000000050309c in Frecursive_edit ()
>>> #11 0x00000000004164ad in main ()
>>>
>>> I have strace as well.
>>> BZ for that trouble is here
>>> https://bugzilla.redhat.com/show_bug.cgi?id=984177
>>>
>>>
>>> On 07/16/2013 06:09 PM, Jan Djärv wrote:
>>>> Hello.
>>>>
>>>> 16 jul 2013 kl. 17:28 skrev Petr Hracek <[email-masked]>:
>>>>
>>>>> Hmm, that's a strange.
>>>>> On my F19, I have installed this version of emacs:
>>>>> ~> rpm -qa | grep emacs
>>>>> emacs-rpm-spec-mode-0.12-4.fc19.noarch
>>>>> xemacs-filesystem-21.5.33-5.fc19.noarch
>>>>> emacs-24.2-18.fc19.x86_64
>>>>> emacs-filesystem-24.2-18.fc19.noarch
>>>>> emacs-common-24.2-18.fc19.x86_64
>>>>> ~>
>>>>>
>>>> 24.3 has been out a while, strange that F19 doesn't have it.
>>>>
>>>>> Unfortunatelly I can not use this funtion like M-x report-emacs-bug because of emacs is freezed.
>>>>>
>>>> You can start emacs and immediately do report-emacs-bug without touching the scroll bar.
>>>>
>>>>     Jan D.
>>>>
>>>
>>
>> -- 
>> Best regards / S pozdravem
>> Petr Hracek

-- 
Best regards / S pozdravem
Petr Hracek